function locs = retractions(e)
%% Check if e decreasing or increasing
if e(1) <= e(end)
    e = -e;
end

%% Determine differential and threshold
de = [diff(e) 0];
tr = std(de)*5;
ln = length(e);

%% Determine locations up and down slopes
bin = zeros(1,ln);
for i = 1:ln
    if de(i) >= tr      
        bin(i) = 1;
    elseif de(i) <= -tr
        bin(i) = -1;
    end
end

%% Grab sections for which retracted
locs = zeros(1,ln);   %new array for locatons
nonz = find(bin)';    %indices of non-zero locations
for i = 1:length(nonz)-1
    if bin(nonz(i)) == 1 && bin(nonz(i+1)) == -1
        locs(nonz(i):nonz(i+1)) = 1;
    end
end
locs = find(locs)';
end